<?PHP

// $allowed_ips = "212.86.118.39";

// $ips = explode(" ",$allowed_ips);
// if (array_search($_SERVER["REMOTE_ADDR"], $ips) === FALSE) 
// {
// 	echo "<p>Сайт на тех.обслуживании, работа будет восстановлена в течении 20 минут <br><br>Website for maintenance, the work will be restored within 20 minutes";
// 	exit;
// }

header("Content-Type: text/html; charset=utf-8");
error_reporting(E_ALL); // вывод ошибок

// Старт сессии
session_start();

// Константа дефолтный путь к файлу
define('ROOT', dirname(__FILE__));

require_once(ROOT.'/config/defines.php');

require_once(ROOT.'/components/Autoload.php');

// Установка дефолтного языкового пакета
if (!isset($_SESSION['lang'])) Language::setDefaultLanguage();

// Смена языкового пакета
if (isset($_POST['lang'])) Language::setLanguage(strval($_POST['lang']));

// Константа языкового пакета
define('LANG', $_SESSION['lang']);

// Защита дублирования сессии
Session::checking();

$router = new Router();

$router -> run();
